> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/chatlayer-documentation-pt-br/comece-rapido/bot-templates/lead-generation.md).

# Geração de leads

Este é um modelo curto para geração de leads: seus clientes recebem um teste gratuito se fornecerem seus dados. Um fluxo fácil de adaptar a qualquer chatbot!

{% hint style="info" %}
Certifique-se sempre de [atualizar o NLP](https://docs.chatlayer.ai/understanding-users/natural-language-processing-nlp#updating-the-nlp) após carregar um modelo!
{% endhint %}

## Fluxo: Geração de Leads

Os blocos de Geração de Leads têm seu próprio fluxo. Blocos mais gerais, como Introdução e Despedida, estão no fluxo Geral.

Os dados do usuário são solicitados por meio de blocos de validação de entrada e mantidos nas variáveis `{userName}`, `{userEmail}` e `{userPhoneNumber}`. No bloco Agradecimentos, os usuários têm a oportunidade de alterar seus dados caso cometam algum erro.

O bloco chamado \[API Call] é um espaço reservado para o bloco de Ação, no qual você implementaria sua chamada de API para armazenar os dados do seu cliente.

{% hint style="info" %}
Há várias maneiras de armazenar os dados do cliente. Algumas formas de fazer isso podem ser usando [Airtable](https://docs.chatlayer.ai/integrations/app-integrations/airtable-app-integration) ou criando sua própria [integração personalizada de API](https://docs.chatlayer.ai/integrations/custom-back-end-integrations).
{% endhint %}

Certifique-se de adaptar o fluxo aos dados do usuário de que você precisa e de dar aos seus clientes a oportunidade de modificar esses dados.

Boa criação de bots!


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chatlayer.ai/chatlayer-documentation-pt-br/comece-rapido/bot-templates/lead-generation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
